CREATE TABLE fnd_df_flexfields_b (
    ENTERPRISE_ID                   NUMBER(18, 0) ,
    SANDBOX_ID                      VARCHAR2(256) ,
    APPLICATION_ID                  NUMBER(18, 0) ,
    DESCRIPTIVE_FLEXFIELD_CODE      VARCHAR2(160) ,
    MODULE_ID                       VARCHAR2(128)     NOT NULL,
    FLEXFIELD_TYPE                  VARCHAR2(120)     NOT NULL,
    FLEXFIELD_IDENTIFIER            VARCHAR2(120) ,
    DELIMITER                       VARCHAR2(4)       NOT NULL,
    CATEGORY_HIERARCHY_LABEL        VARCHAR2(120) ,
    CATEGORY_STORAGE_TYPE           VARCHAR2(120) ,
    ADFBC_MODELER                   VARCHAR2(960) ,
    ADFUI_MODELER                   VARCHAR2(960) ,
    BI_ENABLED_FLAG                 VARCHAR2(4)       NOT NULL,
    PROTECTED_FLAG                  VARCHAR2(4)       NOT NULL,
    DEPLOYMENT_STATUS               VARCHAR2(120)     NOT NULL,
    DEPLOYMENT_DATE                 TIMESTAMP(6)  ,
    DEPLOYMENT_ERROR_MESSAGE        VARCHAR2(4000),
    DEPLOYMENT_VERSION              VARCHAR2(120) ,
    DEPLOYMENT_LANGUAGES            VARCHAR2(960) ,
    ASYNC_DEPLOYMENT_STATUS         VARCHAR2(120) ,
    ASYNC_DEPLOYMENT_ORDER          NUMBER(4, 0)  ,
    ASYNC_DEPLOYMENT_LAST_UPDATE    TIMESTAMP(6)  ,
    ASYNC_DEPLOYMENT_USERID         VARCHAR2(256) ,
    ASYNC_DEPLOYMENT_PROGRESS       VARCHAR2(4000),
    BOSS_DEPLOYMENT_INFO            VARCHAR2(4000),
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    ENTERPRISE_ID                   NUMBER(18, 0) ,
    APPLICATION_ID                  NUMBER(18, 0) ,
    DESCRIPTIVE_FLEXFIELD_CODE      VARCHAR2(160) ,
    MODULE_ID                       VARCHAR2(128)     NOT NULL,
    FLEXFIELD_TYPE                  VARCHAR2(120)     NOT NULL,
    DELIMITER                       VARCHAR2(4)       NOT NULL,
    CATEGORY_HIERARCHY_LABEL        VARCHAR2(120) ,
    CATEGORY_STORAGE_TYPE           VARCHAR2(120) ,
    ADFBC_MODELER                   VARCHAR2(960) ,
    ADFUI_MODELER                   VARCHAR2(960) ,
    BI_ENABLED_FLAG                 VARCHAR2(4)       NOT NULL,
    PROTECTED_FLAG                  VARCHAR2(4)       NOT NULL,
    DEPLOYMENT_STATUS               VARCHAR2(120)     NOT NULL,
    DEPLOYMENT_DATE                 TIMESTAMP(6)  ,
    DEPLOYMENT_ERROR_MESSAGE        VARCHAR2(4000),
    DEPLOYMENT_VERSION              VARCHAR2(120) ,
    ASYNC_DEPLOYMENT_STATUS         VARCHAR2(120) ,
    ASYNC_DEPLOYMENT_ORDER          NUMBER(4, 0)  ,
    ASYNC_DEPLOYMENT_LAST_UPDATE    TIMESTAMP(6)  ,
    ASYNC_DEPLOYMENT_USERID         VARCHAR2(256) ,
    ASYNC_DEPLOYMENT_PROGRESS       VARCHAR2(4000),
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    DEPLOYMENT_LANGUAGES            VARCHAR2(960) ,
    SANDBOX_ID                      VARCHAR2(256) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    FLEXFIELD_IDENTIFIER            VARCHAR2(120) ,
    BOSS_DEPLOYMENT_INFO            VARCHAR2(4000),
    CONSTRAINT pk_fnd_df_flexfields_b PRIMARY KEY (ENTERPRISE_ID, SANDBOX_ID, APPLICATION_ID, DESCRIPTIVE_FLEXFIELD_CODE, ENTERPRISE_ID, APPLICATION_ID, DESCRIPTIVE_FLEXFIELD_CODE, SANDBOX_ID)
);
